Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 136354 - Don't show two warnings while running insufficient JRE
Don't show two warnings while running insufficient JRE
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
: UI
Depends on:
Blocks: 66960 135512
  Show dependency treegraph
 
Reported: 2008-06-03 11:04 UTC by Jiri Rechtacek
Modified: 2008-12-23 08:38 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (5.77 KB, patch)
2008-06-10 16:21 UTC, Jiri Rechtacek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2008-06-03 11:04:46 UTC
Two warning dialogs pops up in sequence while running IDE on JRE only although some modules (like Java Debugger, Java
Form etc.) demands some packages from full JDK. For better user experience only one dialog will be enough and should
contain both messages and give a notice to users what is going wrong and how to solve it.
Comment 1 Jiri Rechtacek 2008-06-10 16:21:06 UTC
Created attachment 62630 [details]
proposed patch
Comment 2 Jiri Rechtacek 2008-06-11 10:17:15 UTC
fixed: 3d1e25250d7a
Comment 3 Jesse Glick 2008-06-18 18:24:52 UTC
Could you please add some comments to Notifier explaining what it does? It is far from clear just looking at the source
why the 'questions' field exists, what options==null vs. options!=null means, or indeed why the fix of this issue works
and what exactly it changes. Perhaps the logic should be rewritten to be simpler and clearer.
Comment 4 Jesse Glick 2008-06-18 18:29:56 UTC
BTW this is Yarda's code; see issue #66960, issue #75834, and most especially issue #66960 (which was probably
responsible for the dual notification to begin with).
Comment 5 Quality Engineering 2008-06-19 04:30:12 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #268 build
Changeset: http://hg.netbeans.org/main/rev/155ae824c1b2
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: other fix of #136354: Don't show two warnings while running insufficient JRE


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo